콘텐츠로 이동
한국어

편지 목록

GET/v1/mailboxes/{mailbox_id}/messages

새 UID부터 이전 문자까지 최대 40자를 반환합니다. 다음 페이지의 경우 next_before을 before.로 전달합니다. next_before=null의 경우 더 이상 페이지가 없습니다. 읽기는 읽기 플래그를 설정하지 않습니다.

승인 및 접근 영역 · 오류와 반복

요구

터미널 창
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages' \
-H 'Authorization: Bearer <access_token>'

옵션

mailbox_idpath반드시

integer

folderquery

string

기본: "INBOX"

qquery

string

기본: ""

maxLength: 200

beforequery
옵션 1

integer

exclusiveMinimum: 0

옵션 2

null

X-Customer-IDheader
옵션 1

string

옵션 2

null

응답

200 성공적인 응답

application/json

object

items

array

배열 요소

object

uid

integer

uidvalidity

integer

folder

string

message_id

string

thread_id

string

sender

string

recipients

array

배열 요소

object

name

string

email

string

subject

string

preview

string

flags

array

배열 요소

string

size_bytes

integer

received_at

string

UTC.의 날짜 및 시간 오프셋이 없으면 값은 UTC.도 나타냅니다.

next_before
옵션 1

integer

옵션 2

null

uidvalidity

integer

401 로그인이 필요합니다

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

403 접근 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

404 리소스를 찾을 수 없습니다.

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

409 국가 갈등

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

422 유효성 검사 오류

application/json

object

detail

array

배열 요소

object

loc반드시

array

배열 요소
옵션 1

string

옵션 2

integer

msg반드시

string

type반드시

string

503 일시적인 이용 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object